{% extends 'base.html.twig' %}
{% block title %}Zones{% endblock %}
{% block page %}Zones{% endblock %}
{% block body %}
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-primary">
                            <h4 class="card-title ">Zones</h4>
                            <p class="card-category">List of zones</p>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive table-striped">
                                <table class="table">
                                    <thead class=" text-primary">
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>Place</th>
                                    <th>Position</th>
                                    <th class="text-center">Configuration</th>
                                    <th class="text-center">Active</th>
                                    <th class="text-center">Actions</th>
                                    </thead>
                                    <tbody>
                                    {% for zone in zones %}
                                        <tr>
                                            <td>{{ zone.id }}</td>
                                            <td>{{ zone.zone_name }}</td>
                                            <td>{{ zone.place_name }}</td>
                                            <td>{{ zone.position ?? '-' }} </td>
                                            <td class="text-center"><a href="#" class="badge badge-primary show-configuration h6" data-configuration="{{ zone.configuration|json_encode }}">Show</a></td>
                                            <td class="text-center"><span class="{{ zone.active  ? 'is-active' : 'is-not-active' }}"></span></td>
                                            <td class="text-center">
                                                <a class="zone-edit" data-id="{{ zone.id }}" href="#" data-toggle="modal" data-target="#modal">
                                                    {#                                            <a class="zone-edit" href="{{ path('page_edit', {'id': page.id }) }}">#}
                                                    <i class="material-icons">edit</i>
                                                </a>
                                                {#                                            <a class="page-delete"#}
                                                <a class="zone-delete" href="{{ path('admin_zone_delete', {'id': zone.id }) }}"
                                                   onclick="return confirm('Are you sure you want to delete this zone?')">
                                                    <i class="material-icons">delete</i>
                                                </a>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="configuration-modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Zone configuration</h5>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body text-white">
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block javascripts %}
    <script type="text/javascript">
        $(function() {
            const $modal = $('#modal');
            const $modalBody = $modal.find('.modal-body');
            const $modalTitle = $modal.find('.modal-title');
            $modalTitle.html('Account edit')
            $('.zone-edit').on('click', function() {
                event.preventDefault()
                const id = $(event.currentTarget).data('id')
                $.get('/admin/zone/'+id+'/edit')
                    .done((response) => {
                        $modalBody.html(response)
                        $modal.modal('show')
                    })
            })

            $('.show-configuration').on('click', function() {
                const jsonObject = JSON.parse($(this).attr('data-configuration'));
                const formattedJson = JSON.stringify(jsonObject, null, 2);
                $('#configuration-modal').modal('show')
                $('#configuration-modal').find('.modal-body').html('<pre class="text-white">' + formattedJson + '</pre>');
            })
        });
    </script>
{% endblock %}
